﻿using GHIElectronics.TinyCLR.Devices.Gpio;
using GHIElectronics.TinyCLR.Pins;
using System.Threading;

namespace TCLR_PANDA3_Clav4D
{
    class Program
    {
        static void Main()
        {
            // http://docs.ghielectronics.com/software/tinyclr/tutorials/gpio.html
            // Get the default GPIO controller on the system
            var gpio = GpioController.GetDefault();
            // Open GPIO Led1
            GpioPin led1 = gpio.OpenPin(FEZPandaIII.GpioPin.Led1);
            // Set the IO direction as output
            led1.SetDriveMode(GpioPinDriveMode.Output);
            // Open GPIO BTN0
            GpioPin BTN0 = gpio.OpenPin(FEZPandaIII.GpioPin.A0);
            // Set the IO direction as input
            BTN0.SetDriveMode(GpioPinDriveMode.Input);
            // Open GPIO BTN1
            GpioPin BTN1 = gpio.OpenPin(FEZPandaIII.GpioPin.A1);
            // Set the IO direction as input
            BTN1.SetDriveMode(GpioPinDriveMode.Input);
            // Open GPIO BP2
            GpioPin BTN2 = gpio.OpenPin(FEZPandaIII.GpioPin.A2);
            // Set the IO direction as input
            BTN2.SetDriveMode(GpioPinDriveMode.Input);
            // Open GPIO BTN3
            GpioPin BTN3 = gpio.OpenPin(FEZPandaIII.GpioPin.A3);
            // Set the IO direction as input
            BTN3.SetDriveMode(GpioPinDriveMode.Input);

            while (true)
            {

                if ((BTN0.Read() == GpioPinValue.High) || (BTN1.Read() == GpioPinValue.High) || (BTN2.Read() == GpioPinValue.High) || (BTN3.Read() == GpioPinValue.High))
                {
                    led1.Write(GpioPinValue.High);
                }
                else
                {
                    led1.Write(GpioPinValue.Low);
                }

                Thread.Sleep(100);
            }
        }
    }
}
